# Checking offset and error in pulse ID

An LED installed in front of the PSSS camera which runs a sequence (not currently maintained after a power cycle).  To turn on/off sequence:  

- on: `caput SGE-CPCW-73-EVR0:FrontUnivOut0-Ena-SP 1`
- off: `caput SGE-CPCW-73-EVR0:FrontUnivOut0-Ena-SP 0`
![image](uploads/a2830096617e94faa61abf7c38148723/image.png)

## Testing pulseID offset/error
Panel is found in launcher under Photonics Expert/Spectrometers/Tools/PulseID check

Compare bs stream using Edwin's tool
### Step 1
Check channel `SARFE10-PSSS059:SPECTRUM_Y_SUM` is in the stream setup
![image](uploads/3217042a3a8660550765c66279e88dce/image.png)
### Step 2
Start stream, and go to data arrival channel.  Check sub channel 1 is 10 Hz(103) and sub channel 2 is the channel under test, i.e SARFE10-PSSS059:SPECTRUM_Y_SUM

<img src="https://docs.google.com/drawings/d/e/2PACX-1vQHUO_lB4PzkU70kxqxcUTBtFcjTqMay4Ls2ObXasLnUPmegB2KYRqsrSYySRlVgPdtjo5JTbSPNKtV/pub?w=929&amp;h=441">

The XY plot on the lower left displays the correlation of single shot signal intensity with value of the 10 Hz channel.  Correct performance would see discrete groups of data with lowest values with an x value of 0.